net.sf.cglib.transform

## Class ClassReaderGenerator

- java.lang.Object
- - net.sf.cglib.transform.ClassReaderGenerator

- All Implemented Interfaces:
    ClassGenerator

      public class ClassReaderGenerator
      extends java.lang.Object
      implements ClassGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassReaderGenerator(ClassReader r, Attribute[] attrs, int flags)`
    `ClassReaderGenerator(ClassReader r, int flags)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generateClass(ClassVisitor v)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassReaderGenerator

          public ClassReaderGenerator(ClassReader r,
                              int flags)

    - #### ClassReaderGenerator

          public ClassReaderGenerator(ClassReader r,
                              Attribute[] attrs,
                              int flags)

  - ### Method Detail

    - #### generateClass

          public void generateClass(ClassVisitor v)

      Specified by:
        `generateClass` in interface `ClassGenerator`

Copyright (c) 2001 - Apache Software Foundation